building fc6 rpm of numpy

Vincent Broman vincent.broman at navy.mil
Wed Nov 8 16:20:55 CST 2006


Building an rpm of numpy-1.0.1.dev3432-1 on fedora core 6 is failing for me.
With either python-2.4.3 or 2.4.4 I try "python setup.py bdist_rpm"
inside the source directory, and everything seems to go well except for
many "File listed twice" messages for all kinds of files,
and then at the end there is the error message:

    error: Installed (but unpackaged) file(s) found

with a long list of .pyc and .pyo files.
The same seems to happen to me with the source rpm I downloaded
from sourceforge. And I vaguely recall the same happening with
my fedora core 4 + updates, which I had till my recent upgrade to fc6.

The list or lists of files to install are not in the %files section,
but are generated dynamically somehow by setup.py, but I don't
know enough about distutils to debug that.

Anyone succeed with fc6 rpms or have any suggestion?

Vincent Broman
SSC-SD



-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642




More information about the Numpy-discussion mailing list